'From Pharo2.0 of 7 March 2013 [Latest update: #20619] on 10 November 2013 at 5:15:46 pm'!


!Object methodsFor: '*Compo-atomicport-behavior-private' stamp: 'PetrSpacek 11/15/2012 00:57'!
invokeStd_selector: sel args: anArgsArray index: indexOfConnectedPort sender: sendP
	|res wasMatch selector|
	wasMatch := false.
	selector := sel.
	(self getInterface isKindOf: (Collection))
		ifTrue: [
			self getInterface do: [:s | 
				((selector asString , '*') match: (s asString))
					ifTrue: [
						wasMatch := true.
						anArgsArray ifNotNil: [
							(s keywords size == anArgsArray size)
								ifTrue: [ selector := s. ]
						].
					]. 
			].
		].
	
	(wasMatch)
		ifFalse: [self error: ('a component does not provide service ' , selector asString)].
	
	(anArgsArray isNil)
		ifTrue: [
			(self name == #ssuper)
				ifTrue: [res := self perform: selector asSymbol withArguments: (Array new:0) inSuperclass: (self superclass)]
				ifFalse: [res := self perform: selector asSymbol].
		]
		ifFalse: [
			(self name == #ssuper)
				ifTrue: [res := self perform: selector asSymbol withArguments: anArgsArray inSuperclass: (self superclass)]
				ifFalse: [res := self perform: selector asSymbol withArguments: anArgsArray ].
		].
	^ res.! !
