'From Pharo2.0 of 7 March 2013 [Latest update: #20619] on 10 November 2013 at 5:15:41 pm'!


!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/22/2012 17:24'!
connectTo_port: anAtomicPort
	self error: 'This is a rock-bottom component, its only port is <defautl> provided port and it cannot be connected further' ! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/22/2012 17:21'!
disconnect! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 11/8/2012 17:41'!
disconnect: idx! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/22/2012 22:25'!
getInterface
	|sels|
	sels := OrderedCollection new.
	sels addAll: (self class allMethodsInCategory: '*Compo-atomicport-behavior').
	sels addAll: (self class allMethodsInCategory: '*Compo-atomicport-accessing').
	^ self class allSelectors reject: [:sel | sels includes: sel ].! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/22/2012 17:22'!
getName
	^ #default.! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/22/2012 21:17'!
getOwner
	^ nil.! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/25/2012 17:10'!
invokeMeta_selector: selector
	^ self invokeMeta_selector: selector args: {} index: nil.! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/25/2012 17:10'!
invokeMeta_selector: selector args: anArgsArray
	^ self invokeMeta_selector: selector args: anArgsArray index: nil.! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/25/2012 17:10'!
invokeMeta_selector: selector args: anArgsArray index: indexOfConnectedPort 
	^ self error: 'I am an atomic port, meta-calls on me are forbiden'.! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/25/2012 17:09'!
invokeStd_selector: aName
	^ self invokeStd_selector: aName args: nil index: nil. 
! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/25/2012 17:09'!
invokeStd_selector: aName args: anArgsArray
	^ self invokeStd_selector: aName args: anArgsArray index: nil. 

! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 11/8/2012 23:02'!
invokeStd_selector: selector args: anArgsArray index: indexOfConnectedPort 
	^ self invokeStd_selector: selector args: anArgsArray index: indexOfConnectedPort sender: self.! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/29/2012 15:20'!
isAtomic
	^ true.
! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 11/9/2012 15:41'!
isCollectionPort 
	^ false.! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 10/22/2012 17:21'!
isConnected
	^ false.! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 3/30/2012 17:50'!
isExternal
	^ true.
! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 3/30/2012 18:18'!
isInternal
	^ false.
! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 3/30/2012 17:50'!
isProvided
	^ true.
! !

!Object methodsFor: '*Compo-atomicport-behavior' stamp: 'PetrSpacek 3/30/2012 17:49'!
isRequired
	^ false.
! !
