'From Pharo2.0 of 7 March 2013 [Latest update: #20619] on 25 November 2013 at 12:09:03 pm'!
Object subclass: #CompoWorkspace2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Compo-Tools'!

!CompoWorkspace2 methodsFor: 'instance creation' stamp: 'PetrSpacek 11/25/2013 11:53'!
open
	| browser doitBlock inspectBlock |
	browser := GLMTabulator new.
	browser title: (self class title).
	browser row: [:r | r column: #main ] .
		
	doitBlock :=  [ :x |
		|smCode|
		smCode := [CompoToSmalltalk convert: x text] on: Error do: [:e | self inform: (e messageText). browser error: (e messageText). ].
		"Compiler evaluate: (smCode)."
		self class compile: 'doitCode
		^ [', smCode ,'] value' classified: 'model'.
		self doitCode.
	].

	inspectBlock :=  [ :x |
				|smCode|
		smCode := [CompoToSmalltalk convert: x text] on: Error do: [:e | self inform: (e messageText). browser error: (e messageText). ].
		"Compiler evaluate: (smCode)."
		self class compile: 'doitCode
		^ [', smCode ,'] value' classified: 'model'.
		self doitCode compoInspect .	
	].

	browser transmit to: #main;  andShow: [:a | 
		a text
			display: [ :compoWS | (compoWS doitCode)];
			act: doitBlock on: $d entitled: 'Do it';
			selectionAct: doitBlock on: $d entitled: 'Do it';
			act: doitBlock on: $s;
			act: inspectBlock on: $i entitled: 'Inspect it';
			selectionAct: inspectBlock on: $i entitled: 'Inspect it'.

	].

	
	browser openOn: self. ! !


!CompoWorkspace2 methodsFor: 'model' stamp: 'PetrSpacek 11/25/2013 11:53'!
doitCode
		^ [1 + 1] value! !


"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

CompoWorkspace2 class
	instanceVariableNames: ''!

!CompoWorkspace2 class methodsFor: 'instance creation' stamp: 'PetrSpacek 11/25/2013 11:36'!
open
	^ self new open.! !


!CompoWorkspace2 class methodsFor: 'specs' stamp: 'PetrSpacek 11/25/2013 11:37'!
title
	^ 'Compo Workspace'.! !
