'From Pharo2.0 of 7 March 2013 [Latest update: #20619] on 10 November 2013 at 5:15:50 pm'!


!Object methodsFor: '*Compo-component-behavior' stamp: 'PetrSpacek 11/6/2012 09:55'!
getDescriptor
	^ self class.! !

!Object methodsFor: '*Compo-component-behavior' stamp: 'PetrSpacek 11/6/2012 09:56'!
getPortNamed: aPortName
	(aPortName asSymbol = #default) ifTrue: [^ self] ifFalse: [self error: 'No such a port found'].! !

!Object methodsFor: '*Compo-component-behavior' stamp: 'PetrSpacek 11/8/2012 16:04'!
getPortNamedEx: aNameSymb
	|p |
	(self isKindOf: (Smalltalk at: #Component)) ifFalse: [^ self getPortNamed: aNameSymb].
	
	p := [self instVarAt: (self getDescriptor instVarIndexFor: aNameSymb)] on: Error do: [self error: ('I don''t have port named ', aNameSymb asString)].
	
	((p isKindOf: (Smalltalk at: #Port))
	or: [(p isKindOf: (Smalltalk at: #AtomicPort ))]) 
		ifFalse: [self error: ('I don''t have port named ', aNameSymb asString)].
	^ p.! !

!Object methodsFor: '*Compo-component-behavior' stamp: 'PetrSpacek 11/6/2012 09:56'!
getPorts
	^ Array with: self.! !

!Object methodsFor: '*Compo-component-behavior' stamp: 'PetrSpacek 11/8/2012 16:05'!
getPortsEx
	|ar|
	(self isKindOf: (Smalltalk at: #Component)) ifFalse: [^ self getPorts].
	ar := Array new: (self getDescriptor instSize).
	1 to: (self getDescriptor instSize) do: [:i | ar at: i put: (self instVarAt: i)].
	ar := ar reject: [:port | ((port isKindOf: (Smalltalk at: #Port)) or: [port isKindOf: (Smalltalk at: #AtomicPort)]) not ].
	^ ar.! !
